Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Ctors | Methods | Inherited Methods | [Expand All]
public static final class

# Plus.PlusOptions.Builder

extends Object

java.lang.Object
↳ | com.google.android.gms.plus.Plus.PlusOptions.Builder

## Summary

Public Constructors
| Plus.PlusOptions.Builder()

Public Methods
Plus.PlusOptions.Builder | addActivityTypes(String... activityTypes) Specify which user's app activity types can be written to Google+.
Plus.PlusOptions | build()
Plus.PlusOptions.Builder | setServerClientId(String clientId) Specify the optional 3rd party server client ID for offline auth.

[Expand] Inherited Methods

From class java.lang.Object

Object | clone()
boolean | equals(Object arg0)
void | finalize()
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)

## Public Constructors

#### public Plus.PlusOptions.Builder ()

## Public Methods

#### public Plus.PlusOptions.Builder addActivityTypes (String... activityTypes)

Specify which user's app activity types can be written to Google+. This must be used with the `SCOPE_PLUS_LOGIN` OAuth 2.0 scope.

See Types of app activity for the full list of valid app activity types. Example usage:

     googleApiClientBuilder.addPlusActivityType(
             "http://schemas.google.com/AddActivity",
             "http://schemas.google.com/BuyActivity");

##### Parameters

activityTypes | The user's app activity types that can be written to Google.

#### public Plus.PlusOptions build ()

#### public Plus.PlusOptions.Builder setServerClientId (String clientId)

Specify the optional 3rd party server client ID for offline auth.